Photoshop 及 Lightroom 用户要注意! 兼容有问题暂勿升级 Catalina

相信不少 Mac 友都期待着 macOS Catalina 的来临,不过今次 Catalina 推出也意味着一堆 32 bit 软件可能要被淘汰。但令人意想不到的是连著名的 Photoshop 和 Lightroom 都在今次升级中出现问题。 Adobe 就发出公告指 Photoshop 及 Lightroom 与 Catalina 有兼容性问题。

虽然 Adode 说 Photoshop 与 Catalina 兼容,不过就提醒用户可能要考虑维持使用旧 macOS 直至兼容问题解决为止。而即使要用 Catalina ,也应该先在非 production 环境下先测试一下对工作有没有影响。

现在 Photoshop 已知的兼容性问题包括:

  1. Save As 对话框中,档案名称选项无法正常工作;
    这个问题主要是改变档案格式没有自动改变档案的扩展名,和即使勾选了“ As a Copy ”选择,档案名称也没有标示为 Copy ,可能会导致无法开启档案或覆盖原档。只要手动更改名称即可解决。
  2. 出现找不到插件或者无法验证插件的警告;
    这是因为 macOS Catalina 引入了新的档案验证,未验证的插件会被隔离,而以拖曳方式安装插件也会失败。这不会影响安装了插件之后才升级 Catalina 的插件,但升级后才安装的插件就会受影响。
  3. 旧版 Photoshop 创建的 Droplet 无法正常运作;
    旧版 Photoshop 创建的 Droplet 是 32-bit 的,不能用在 macOS Catalina 上,要将 Photoshop 升级至 20.0.6 将旧 Droplet 转换为 64-bit。
  4. ExtendScript Toolkit 不能使用;
    应转用 ExtendScript Debugger 1.1.0 。
  5. Len Profile Creator 不能使用;
    现在的 Len Profile Creator 是 32-bit 的, Adode 正准备升级至 64-bit 。

已知的 Lightroom 兼容性问题包括:

  1. Tether 检测不到 Nikon 相机;
    当使用“ Start Tether Capture… ”后才开启 Nikon 相机的电源时, Lightroom 无法检测到相机。需要先开启相机电源之后才使用 Tethered Capture 。
  2. Len Profile Creator 不能使用;

旧版本无法在 Catalina 上安装

Adobe 亦同时指出版本 19.x 或以下的 Photoshop 不兼容 Catalina ,用户必须升级至新版本。虽然已安装的旧版本在 macOS 升级至 Catalina 后仍能局部使用,不过就不能重装或启用程式。

Adobe 提醒仍使用旧版本程式的用户,在升级 Catalina 前应先解除安装程式,因为旧版本的解除安装程式不能在 Catalina 上使用,到时用户要下载 Creative Cloud Cleaner Tool 才能解除安装。

Adobe 指出版本 19.x 或以下的 Photoshop 不兼容 macOS Catalina ,应该解除安装之后才升级。

手机打开